package bus.service;

import bus.model.dto.BAdvertDto;
import bus.model.dto.BAdvertPageDto;
import bus.model.po.BAdvertPo;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * @Program: bus
 * @Description: 描述
 * @Author: zy
 * @Date: 2025-03-06 22:43:32
 **/
public interface BAdvertService extends IService<BAdvertPo> {


    /**
     * 详情
     * @param id
     * @return
     */
    BAdvertPo getDetailById(String id);

	/**
     * 保存
     * @param dto
     * @return
     */
    void save(BAdvertDto dto);

    /**
    * 列表
    * @param dto
    * @return
    */
    List<BAdvertPo> list(BAdvertPageDto dto);

	/**
     * 修改
     * @param dto
     * @return
     */
    void update(BAdvertDto dto);

	/**
     * 删除
     * @param id
     * @return
     */
    void delete(String id);
}
